Page MenuHomePhabricator

[[MediaWiki:Wbqc-violation-message-unique-value/nb]] translation issue
Closed, ResolvedPublic

Description

This does not seem right according to the constraint text in the template, it says "Exceptions are possible as rare values may exist." The English text of the message should thus be

This property's value must not be present on any other item, but is also present on {{PLURAL:$1|1=$3.|2=$3 and $4.|the following items: $2}}

but

This property's value should not be present on any other item, but is also present on {{PLURAL:$1|1=$3.|2=$3 and $4.|the following items: $2}}

URL: https://translatewiki.net/wiki/MediaWiki:Wbqc-violation-message-unique-value/nb

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterUse “should” instead of “must”

Event Timeline

jeblad created this task.May 19 2018, 5:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2018, 5:03 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 19 2018, 7:29 PM

Oops, looks like I missed that message in If0c0afb693.

Change 434069 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Use “should” instead of “must”

https://gerrit.wikimedia.org/r/434069

Turns out the message was not so much missed as rather mixed up in some rebase, but anyways, patch is up now.

Change 434069 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Use “should” instead of “must”

https://gerrit.wikimedia.org/r/434069

Lucas_Werkmeister_WMDE closed this task as Resolved.May 20 2018, 5:14 PM

Updated, translatewiki.net should see the update tonight and deployment to wikidata.org should happen next Wednesday evening.

Vvjjkkii renamed this task from [[MediaWiki:Wbqc-violation-message-unique-value/nb]] translation issue to eocaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lucas_Werkmeister_WMDE as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from eocaaaaaaa to [[MediaWiki:Wbqc-violation-message-unique-value/nb]] translation issue.Jul 1 2018, 6:14 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.